## qmtpssh 0.1

=== Makefile ===
#
#    qmtpssh - transfer mail over SSH tunnels
#    Copyright (C) 1999 Tommi Virtanen <tv@havoc.fi>
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

SOURCE=stdinxout.c
BIN=stdinxout
SCRIPT=qmtppull qmtppush
MAN=qmtppull.1 qmtppush.1 stdinxout.1
PREFIX=/usr
MANDIR=$(DESTDIR)$(PREFIX)/man/man1
BINDIR=$(DESTDIR)$(PREFIX)/bin

all: $(BIN) $(MAN)

%.o: %.c
	$(CC) $(CFLAGS) -c $<

%.1: %.pod
	pod2man --center=' ' --release=' ' $< >$@.tmp
	mv $@.tmp $@

install: all
	test -d $(MANDIR) || install -d -m0755 $(MANDIR)
	test -d $(BINDIR) || install -d -m0755 $(BINDIR)
	install -m0644 $(MAN) $(MANDIR)
	install -m0755 $(BIN) $(SCRIPT) $(BINDIR)

stdinxout: stdinxout.o

clean:
	-rm -f $(SOURCE:%.c=%.o) $(BIN) $(MAN)

lint: $(SOURCE)
	for a in $^; do \
		lclint +posixstrictlib \
			-globs \
			-observertrans \
			-exitarg \
			-nullstate $$a; \
	done

.PHONY: lint

=== debian/changelog ===
qmtpssh (0.1) unstable; urgency=low

  * Initial Release.

 -- Tommi Virtanen <tv@debian.org>  Fri,  9 Jul 1999 01:49:24 +0300

Local variables:
mode: debian-changelog
add-log-mailing-address: "tv@debian.org"
End:

=== debian/control ===
Source: qmtpssh
Section: contrib/mail
Priority: optional
Maintainer: Tommi Virtanen <tv@debian.org>
Standards-Version: 2.4.0.0

Package: qmtpssh
Architecture: any
Depends: ${shlibs:Depends}
Recommends: qmail, ssh, serialmail
Description: transfer mail over SSH tunnels
 stdinxout is a simple utility that cross-connects two programs' stdin
 and stdout. qmtppush and qmtppull use stdinxout to transfer mail to
 and from remote sites. The sending end should store the mail in a
 Maildir and have serialmail installed, and the receiving end must
 have qmail-qmtpd.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE	= $(shell perl -e 'print <> =~ /^(.*) \(.*\)/' debian/changelog)

build: build-stamp
build-stamp: debian/control
	test -e debian/control
	$(MAKE) 
	touch build-stamp

clean: debian/control
	test -e debian/control
	test root = "`whoami`" || (echo need root priviledges; exit 1)
	rm -f build-stamp install-stamp
	make clean
	rm -rf debian/substvars debian/files debian/tmp

binary-indep: build

binary-arch: build debian/control
	test -e debian/control
	test root = "`whoami`" || (echo need root priviledges; exit 1)
	rm -rf debian/substvars debian/tmp
	make install DESTDIR="`pwd`/debian/tmp"
	install -d --mode=0755 "debian/tmp/usr/doc/$(PACKAGE)"
	install --mode=0644 debian/copyright \
		README TODO \
		"debian/tmp/usr/doc/$(PACKAGE)"
	gzip -9 debian/tmp/usr/man/man1/*
	install --mode=0644 debian/changelog \
		"debian/tmp/usr/doc/$(PACKAGE)/changelog"
	gzip -9 debian/tmp/usr/doc/"$(PACKAGE)"/changelog
	strip --remove-section=.comment --remove-section=.note \
		debian/tmp/usr/bin/stdinxout
	install -d --mode=0755 debian/tmp/DEBIAN
	dpkg-shlibdeps debian/tmp/usr/bin/stdinxout
	dpkg-gencontrol
	dpkg --build debian/tmp ..

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
